Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Class LabelVector

    java.lang.Object
      cc.mallet.types.SparseVector
          cc.mallet.types.FeatureVector
              cc.mallet.types.RankedFeatureVector
                  cc.mallet.types.LabelVector

All Implemented Interfaces:
  AlphabetCarrying, ConstantMatrix, Labeling, Vector, java.io.Serializable

    public class LabelVector

extends RankedFeatureVector
implements Labeling

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class cc.mallet.types.RankedFeatureVector
`RankedFeatureVector.Factory, RankedFeatureVector.PerLabelFactory`

Field Summary

Fields inherited from class cc.mallet.types.SparseVector
`hasInfinite, indices, values`

Constructor Summary
`LabelVector(Label[] labels, double[] values)`
`LabelVector(LabelAlphabet dict, double[] values)`
`LabelVector(LabelAlphabet dict, int[] features, double[] values)`

Method Summary
`int` | `getBestIndex()`
`Label` | `getBestLabel()`
`double` | `getBestValue()`
`LabelAlphabet` | `getLabelAlphabet()`
`Label` | `getLabelAtRank(int rank)`
`int` | `getRank(int labelIndex)`
`int` | `getRank(Label label)`
`double` | `getValueAtRank(int rank)`
`Label` | `labelAtLocation(int loc)`
`LabelVector` | `toLabelVector()`
`double` | `value(Label label)`

Methods inherited from class cc.mallet.types.RankedFeatureVector
`getIndexAtRank, getMaxValue, getMaxValuedIndex, getMaxValuedIndexIn, getMaxValuedObject, getMaxValuedObjectIn, getMaxValueIn, getObjectAtRank, getRank, printByRank, printByRank, printLowerK, printTopK, set, setRankOrder, setRankOrder, setRankOrder, setReverseRankOrder`

Methods inherited from class cc.mallet.types.FeatureVector
`alphabetsMatch, cloneMatrix, cloneMatrixZeroed, contains, getAlphabet, getAlphabets, getObjectIndices, location, newFeatureVector, toSimpFile, toString, toString, value`

Methods inherited from class cc.mallet.types.SparseVector
`absNorm, addTo, addTo, arrayCopyFrom, arrayCopyFrom, arrayCopyInto, dotProduct, dotProduct, dotProduct, dotProduct, extendedDotProduct, extendedDotProduct, getDimensions, getIndices, getNumDimensions, getValues, incrementValue, indexAtLocation, infinityNorm, isBinary, isInfinite, isNaN, isNaNOrInfinite, location, makeBinary, makeNonBinary, map, numLocations, oneNorm, plusEqualsSparse, plusEqualsSparse, print, removeDuplicates, setAll, setValue, setValueAtLocation, singleIndex, singleSize, singleToIndices, singleValue, sortIndices, timesEquals, timesEqualsSparse, timesEqualsSparse, timesEqualsSparseZero, twoNorm, value, value, valueAtLocation, vectorAdd`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface cc.mallet.types.Labeling
`addTo, addTo, indexAtLocation, numLocations, value, valueAtLocation`

Methods inherited from interface cc.mallet.types.AlphabetCarrying
`getAlphabet, getAlphabets`

Constructor Detail

### LabelVector

    public LabelVector(LabelAlphabet dict,
                       int[] features,
                       double[] values)

### LabelVector

    public LabelVector(Label[] labels,
                       double[] values)

### LabelVector

    public LabelVector(LabelAlphabet dict,
                       double[] values)

Method Detail

### labelAtLocation

    public final Label labelAtLocation(int loc)

  Specified by:
    `labelAtLocation` in interface `Labeling`

### getLabelAlphabet

    public LabelAlphabet getLabelAlphabet()

  Specified by:
    `getLabelAlphabet` in interface `Labeling`

### getBestIndex

    public int getBestIndex()

  Specified by:
    `getBestIndex` in interface `Labeling`

### getBestLabel

    public Label getBestLabel()

  Specified by:
    `getBestLabel` in interface `Labeling`

### getBestValue

    public double getBestValue()

  Specified by:
    `getBestValue` in interface `Labeling`

### value

    public double value(Label label)

  Specified by:
    `value` in interface `Labeling`

### getRank

    public int getRank(Label label)

  Specified by:
    `getRank` in interface `Labeling`

### getRank

    public int getRank(int labelIndex)

  Specified by:
    `getRank` in interface `Labeling`
  Overrides:
    `getRank` in class `RankedFeatureVector`

### getLabelAtRank

    public Label getLabelAtRank(int rank)

  Specified by:
    `getLabelAtRank` in interface `Labeling`

### getValueAtRank

    public double getValueAtRank(int rank)

  Specified by:
    `getValueAtRank` in interface `Labeling`
  Overrides:
    `getValueAtRank` in class `RankedFeatureVector`

### toLabelVector

    public LabelVector toLabelVector()

  Specified by:
    `toLabelVector` in interface `Labeling`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD